Hardware

The system requirements for running Advanced Installer are:

MinimumRecommended
  • Core 2 class CPU
  • 1 GB RAM
  • 1024x768 screen resolution
  • 2 GB hard drive space
  • i5 class CPU
  • 4 GB RAM
  • 1920x1200 screen resolution
  • 10 GB hard drive space

Software

Advanced Installer IDE

The following software must be installed on your system in order for Advanced Installer to run correctly:

  • Windows 7 or newer
  • Latest Windows Platform SDK (optional, required only to build certain types of packages)

Generated Install Packages

The MSI or EXE install files that Advanced Installer produces run on the following operating systems:

  • Windows XP SP3 or newer
  • Windows Server 2003 SP2 or newer

For Java

Advanced Installer for Java has the ability to create install bundles to install Java programs on the following versions of Mac OS:

  • Mac OS X 10.x PowerPC
  • Mac OS X 10.x Intel

Windows 10 Compatibility

Both Advanced Installer and the EXE/MSI install packages it creates are tested and run on Windows 10.

Windows 10 is fully, officially supported by the latest Advanced Installer release.

Legacy Advanced Installer Versions

To use Advanced Installer IDE on a development machine running Windows XP SP3 or Vista, please download and use Advanced Installer 12.0.

To create MSI or EXE packages that run on Windows XP SP2, please download and use Advanced Installer 12.5.

To create MSI or EXE packages that run on Windows 95/98/ME/NT4/2000, please download and use Advanced Installer 10.3.

To use the Visual Studio 2010 Extension, please install Advanced Installer 13.6 or older.

Try Advanced Installer Now!